{
  description = "NixOS ISO of netali";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.05";
    flake-utils.url = "github:numtide/flake-utils";
    lix-module.url = "https://git.lix.systems/lix-project/nixos-module/archive/2.93.0.tar.gz";
    lix-module.inputs.nixpkgs.follows = "nixpkgs";
  };
  outputs = { self, nixpkgs, flake-utils, lix-module, ... }@inputs: {

    iso = (nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = inputs;
      modules = [
        ./iso.nix
        lix-module.nixosModules.default
      ];
    }).config.system.build.isoImage;

    hydraJobs.iso = self.iso;

    overlays.default = (import ./packages);
  } // flake-utils.lib.eachDefaultSystem (system: let
    lixpkgs = import nixpkgs {
      inherit system;
      overlays = [
        lix-module.overlays.default
      ];
    };
  in {
    packages = {
      netali-configure-net-ruby = lixpkgs.callPackage ./packages/netali-configure-net-ruby {};
      netali-default-config-ruby = lixpkgs.callPackage ./packages/netali-default-config-ruby {};
    };
  });
}
